Loading...
Searching...
No Matches
extents.hh File Reference
`#include <array>`
`#include <cassert>`
`#include <limits>`
`#include <span>`
`#include <type_traits>`
`#include <dune/common/indices.hh>`
`#include <dune/common/std/no_unique_address.hh>`
`#include <dune/common/std/impl/fwd_layouts.hh>`

Go to the source code of this file.

## Classes

class | Dune::Std::extents< IndexType, exts >
| Multidimensional index space with dynamic and static extents. More...

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::Std
| Namespace for features backported from new C++ standards.

## Typedefs

template<class IndexType, std::size_t R>
using | Dune::Std::dextents = typename Impl::DExtentsImpl<IndexType, std::make_integer_sequence<std::size_t,R>>::type
| Alias of extents of given rank R and purely dynamic extents. See [mdspan.extents.dextents].